Bug 174639 - System hangs with kernel panic when using current 3ware drivers
System hangs with kernel panic when using current 3ware drivers
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Chip Coldwell
Brian Brock
:
Depends On: 181374
Blocks: 181409
  Show dependency treegraph
 
Reported: 2005-11-30 18:32 EST by James Ryley
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:41:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
3ware 9000 Storage Controller Linux Driver v2.26.02.001 for kernel 2.6.9-22.0.1.ELsmp SMP 686 (226.03 KB, application/octet-stream)
2006-05-09 11:16 EDT, Chip Coldwell
no flags Details
3ware 9000 Storage Controller Linux Driver v2.26.04.010 for kernel 2.6.9-22.0.1.ELsmp SMP 686 (229.98 KB, application/octet-stream)
2006-05-09 11:25 EDT, Chip Coldwell
no flags Details

  None (edit)
Description James Ryley 2005-11-30 18:32:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
It is necessary to update the drivers for the 9000 series 3ware cards (which otherwise work fine with the native RHEL4 driver) if you intend to use 3ware's 3DM2 monitoring software.

However, if you update to drivers (to 9.2.1.1 or 9.3.0.1) when using kernel 2.6.9-22.0.1.ELsmp, the system hangs with a kernel panic.

Note that the 9.3.0.1 driver is required for the new 9550SX cards, and that driver would probably work for the 7000, 8000, and 9000 series cards also.  So, the best fix for this problem might be to incorporate the 9.3.0.1 driver into the kernel.

This 3DM2 problem has been going on for a while (since Core 2 or 3 at least I think) and it would be great to have a robust solution that doesn't require a dozen steps by the user.

Version-Release number of selected component (if applicable):
kernel-2.6.9-22.0.1.E.smp

How reproducible:
Always

Steps to Reproduce:
1.  Upgrade 9500S firmware and drivers to 9.2.1.1 or 9.3.0.1
2.  Boot
  

Actual Results:  System hangs with the following output:

insmod: error inserting '/lib/3w-9xxx.o': -1 Invalid module format
ERROR: /bin/insmod exited abnormally! (pid 207)
[several omitted lines]
Kernel panic - not syncing:  Attempted to kill init!

Expected Results:  successful boot

Additional info:

Dual xeon, using SMP kernel, 9500S-4LP 3Ware RAID card.
Comment 1 Tom Coughlan 2005-12-01 08:37:48 EST
It is too late to update the 3ware driver in RHEL 4 Update 3. I will put this on
the list of things being considered for Update 4. 
Comment 2 Tom Coughlan 2006-04-21 09:44:12 EDT
We are planning to update the driver in U4. We will need to see if this issue is
resolved by that update.

Comment 3 Chip Coldwell 2006-05-09 11:16:17 EDT
Created attachment 128791 [details]
3ware 9000 Storage Controller Linux Driver v2.26.02.001 for kernel 2.6.9-22.0.1.ELsmp SMP 686

Please download and insmod the attached driver and let us know if it solves
your problem (or not).

Thanks,

Chip
Comment 4 Chip Coldwell 2006-05-09 11:25:32 EDT
Created attachment 128793 [details]
3ware 9000 Storage Controller Linux Driver v2.26.04.010 for kernel 2.6.9-22.0.1.ELsmp SMP 686

sorry, the previous driver was the obsolete version.
Comment 11 Red Hat Bugzilla 2006-08-10 17:41:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.